libnl: rtnl_neightbl_parms Struct Reference

libnl 3.12.0

rtnl_neightbl_parms Struct Reference
Routing Library (libnl-route) » Neighbour Tables

## Data Fields
uint32_t | ntp_ifindex
| Interface index of the device this parameter set is assigned to or 0 for the default set.
uint32_t | ntp_refcnt
| Number of references to this parameter set.
uint32_t | ntp_queue_len
| Queue length for pending arp requests, i.e.
uint32_t | ntp_app_probes
| Number of requests to send to the user level ARP daemon.
uint32_t | ntp_ucast_probes
| Maximum number of retries for unicast solicitation.
uint32_t | ntp_mcast_probes
| Maximum number of retries for multicast solicitation.
uint64_t | ntp_base_reachable_time
| Base value in milliseconds to ompute reachable time, see RFC2461.
uint64_t | ntp_reachable_time
| Actual reachable time (read-only)
uint64_t | ntp_retrans_time
| The time in milliseconds between retransmitted Neighbor Solicitation messages.
uint64_t | ntp_gc_stale_time
| Interval in milliseconds to check for stale neighbour entries.
uint64_t | ntp_probe_delay
| Delay in milliseconds for the first time probe if the neighbour is reachable.
uint64_t | ntp_anycast_delay
| Maximum delay in milliseconds of an answer to a neighbour solicitation message.
uint64_t | ntp_locktime
| Minimum age in milliseconds before a neighbour entry may be replaced.
uint64_t | ntp_proxy_delay
| Delay in milliseconds before answering to an ARP request for which a proxy ARP entry exists.
uint32_t | ntp_proxy_qlen
| Queue length for the delayed proxy arp requests.
uint32_t | ntp_mask
| Mask of available parameter attributes.

## Detailed Description

Definition at line 25 of file neightbl.c.

## Field Documentation

## ◆ ntp_ifindex

uint32_t rtnl_neightbl_parms::ntp_ifindex

Interface index of the device this parameter set is assigned to or 0 for the default set.

Definition at line 30 of file neightbl.c.

Referenced by rtnl_neightbl_build_change_request(), and rtnl_neightbl_get().

## ◆ ntp_refcnt

uint32_t rtnl_neightbl_parms::ntp_refcnt

Number of references to this parameter set.

Definition at line 35 of file neightbl.c.

## ◆ ntp_queue_len

uint32_t rtnl_neightbl_parms::ntp_queue_len

Queue length for pending arp requests, i.e.

the number of packets which are accepted from other layers while the neighbour address is still being resolved

Definition at line 42 of file neightbl.c.

Referenced by rtnl_neightbl_build_change_request(), and rtnl_neightbl_set_queue_len().

## ◆ ntp_app_probes

uint32_t rtnl_neightbl_parms::ntp_app_probes

Number of requests to send to the user level ARP daemon.

Specify 0 to disable.

Definition at line 48 of file neightbl.c.

Referenced by rtnl_neightbl_build_change_request(), and rtnl_neightbl_set_app_probes().

## ◆ ntp_ucast_probes

uint32_t rtnl_neightbl_parms::ntp_ucast_probes

Maximum number of retries for unicast solicitation.

Definition at line 53 of file neightbl.c.

Referenced by rtnl_neightbl_build_change_request(), and rtnl_neightbl_set_ucast_probes().

## ◆ ntp_mcast_probes

uint32_t rtnl_neightbl_parms::ntp_mcast_probes

Maximum number of retries for multicast solicitation.

Definition at line 58 of file neightbl.c.

Referenced by rtnl_neightbl_build_change_request(), and rtnl_neightbl_set_mcast_probes().

## ◆ ntp_base_reachable_time

uint64_t rtnl_neightbl_parms::ntp_base_reachable_time

Base value in milliseconds to ompute reachable time, see RFC2461.

Definition at line 63 of file neightbl.c.

Referenced by rtnl_neightbl_build_change_request(), and rtnl_neightbl_set_base_reachable_time().

## ◆ ntp_reachable_time

uint64_t rtnl_neightbl_parms::ntp_reachable_time

Actual reachable time (read-only)

Definition at line 68 of file neightbl.c.

## ◆ ntp_retrans_time

uint64_t rtnl_neightbl_parms::ntp_retrans_time

The time in milliseconds between retransmitted Neighbor Solicitation messages.

Definition at line 74 of file neightbl.c.

Referenced by rtnl_neightbl_build_change_request(), and rtnl_neightbl_set_retrans_time().

## ◆ ntp_gc_stale_time

uint64_t rtnl_neightbl_parms::ntp_gc_stale_time

Interval in milliseconds to check for stale neighbour entries.

Definition at line 80 of file neightbl.c.

Referenced by rtnl_neightbl_build_change_request(), and rtnl_neightbl_set_gc_stale_time().

## ◆ ntp_probe_delay

uint64_t rtnl_neightbl_parms::ntp_probe_delay

Delay in milliseconds for the first time probe if the neighbour is reachable.

Definition at line 86 of file neightbl.c.

Referenced by rtnl_neightbl_set_delay_probe_time().

## ◆ ntp_anycast_delay

uint64_t rtnl_neightbl_parms::ntp_anycast_delay

Maximum delay in milliseconds of an answer to a neighbour solicitation message.

Definition at line 92 of file neightbl.c.

Referenced by rtnl_neightbl_build_change_request(), and rtnl_neightbl_set_anycast_delay().

## ◆ ntp_locktime

uint64_t rtnl_neightbl_parms::ntp_locktime

Minimum age in milliseconds before a neighbour entry may be replaced.

Definition at line 98 of file neightbl.c.

Referenced by rtnl_neightbl_build_change_request(), and rtnl_neightbl_set_locktime().

## ◆ ntp_proxy_delay

uint64_t rtnl_neightbl_parms::ntp_proxy_delay

Delay in milliseconds before answering to an ARP request for which a proxy ARP entry exists.

Definition at line 104 of file neightbl.c.

Referenced by rtnl_neightbl_build_change_request(), and rtnl_neightbl_set_proxy_delay().

## ◆ ntp_proxy_qlen

uint32_t rtnl_neightbl_parms::ntp_proxy_qlen

Queue length for the delayed proxy arp requests.

Definition at line 109 of file neightbl.c.

Referenced by rtnl_neightbl_build_change_request(), and rtnl_neightbl_set_proxy_queue_len().

## ◆ ntp_mask

uint32_t rtnl_neightbl_parms::ntp_mask

Mask of available parameter attributes.

Definition at line 114 of file neightbl.c.

Referenced by rtnl_neightbl_build_change_request(), rtnl_neightbl_set_anycast_delay(), rtnl_neightbl_set_app_probes(), rtnl_neightbl_set_base_reachable_time(), rtnl_neightbl_set_delay_probe_time(), rtnl_neightbl_set_gc_stale_time(), rtnl_neightbl_set_locktime(), rtnl_neightbl_set_mcast_probes(), rtnl_neightbl_set_proxy_delay(), rtnl_neightbl_set_proxy_queue_len(), rtnl_neightbl_set_queue_len(), rtnl_neightbl_set_retrans_time(), and rtnl_neightbl_set_ucast_probes().